[tool.poetry]
name = "colabfold"
version = "1.5.0"
description = "Making protein folding accessible to all. Predict proteins structures both in google colab and on your machine"
authors = [
    "Milot Mirdita <milot.mirdita@mpibpc.mpg.de>",
    "Sergey Ovchinnikov <so@fas.harvard.edu>",
    "Martin Steinegger <martin.steinegger@snu.ac.kr>",
    "Kostantin Schütze <schuetze@in.tum.de>",
    "Yoshitaka Moriwaki",
    "Lim Heo",
]
readme = "README.md"
license = "MIT, but separate licenses for the trained weights"
repository = "https://github.com/sokrypton/ColabFold"
classifiers = [
    "Topic :: Scientific/Engineering :: Bio-Informatics",
    "Topic :: Scientific/Engineering :: Artificial Intelligence"
]

[tool.poetry.dependencies]
python = ">=3.7.1,<3.11"
absl-py = "^1.0.0"
jax = { version = "^0.3.25", optional = true }
matplotlib = "^3.2.2"
tensorflow-cpu = { version = "^2.11.0", optional = true }
numpy = "^1.21.6"
pandas = "^1.3.4"
alphafold-colabfold = { version = "v2.3.5", optional = true }
requests = "^2.26.0"
tqdm = "^4.62.2"
appdirs = "^1.4.4"
py3Dmol = "^2.0.1"
dm-haiku = "^0.0.9"
importlib-metadata = "^4.8.2"

[tool.poetry.dev-dependencies]
# The latest version conflicts with tensorflow over typing-extensions
black = "v21.12b0"
jupyter = "^1.0.0"
pytest = "^6.2.5"

[tool.poetry.extras]
tf = ["tensorflow-cpu"]
alphafold = ["alphafold-colabfold", "jax", "tensorflow-cpu"]
alphafold-minus-jax = ["alphafold-colabfold", "tensorflow-cpu"]

[tool.pytest.ini_options]
addopts = "--tb=short"

[tool.poetry.scripts]
colabfold_batch = 'colabfold.batch:main'
colabfold_search = 'colabfold.mmseqs.search:main'
colabfold_split_msas = 'colabfold.mmseqs.split_msas:main'

[tool.black]
# Format only the new package, don't touch the existing stuff
include = '''
/(
  | colabfold
  | tests
)/
'''
# The colabfold.py exclude doesn't work, but the "fmt: off" inside of it does
extend-exclude = '''
/(
  | __pycache__
  | colabfold/colabfold.py
)/
'''

[build-system]
requires = ["poetry-core>=1.0.0,<2.0.0"]
build-backend = "poetry.core.masonry.api"
